-- svuotamento tabelle e dati test da UDC, posizioni e storici
-- eliminazione posizioni storiche
delete from PosizioneUdcStorico
go

-- eliminazione posizioni attuali
delete from PosizioneUdcCorrente
go

-- eliminazione posizioni storiche
delete from PosizioneUdcStorico
go


-- elimino da tab batch AS400
delete from AS400_BatchMovimenti
go


-- elimino storico cartellini
delete from StoricoCartellini
go

-- elimino righe liste di prelievo AS
delete from RigheListePrelievo_AS
go

-- elimino righe liste di prelievo
delete from RigheListePrelievo
go

-- elimino liste di prelievo AS
delete from ElencoListePrelievo_as
go

-- elimino liste di prelievo
delete from ElencoListePrelievo
go

-- elimino da delibere
delete from Delibere
go

-- =============================================
-- Author:		Samuele E. Locatelli
-- Create date: 2009-09-20
-- Description:	trigger x inserimento movimenti
--				nella coda di trasferimento batch
--				verso AS400 x DELETE UDC
-- =============================================
ALTER TRIGGER dbo.trg_DelMovAS 
   ON dbo.ElencoCartellini
   AFTER DELETE
AS 
BEGIN

	-- setup variabili e verbosità
	SET NOCOUNT ON;
	DECLARE @partOk AS BIT
	
	-- rifare: se c'è delete in blocco DEVE andare ad operare 1 riga alla volta...
	
	/*
	-- controllo che CI SIA il particolare (altrimenti non eseguo)
	SET @partOk = (SELECT CASE WHEN ISNULL(Particolare,'n.d.') = 'n.d.' THEN 0 ELSE 1 END FROM deleted)
	
	IF(@partOk = 1)
		BEGIN
			-- metto in storico la posizione attuale dell'UDC (SE esiste) CANCELLATO
			INSERT INTO AS400_BatchMovimenti(DataIns, CodEvento, Particolare, CodMagAS, Quantita)
			(
				SELECT	GETDATE(), 'UDC_DEL', Particolare, CAST(IdxPosizione AS NVARCHAR(50)), -Qta
				FROM	deleted
				WHERE	CAST(IdxPosizione AS NVARCHAR(50)) IN (SELECT CodMagAS FROM AS400_MagCont WHERE Attivo = 1)
			)
		END
	*/
END


-- elimino cartellini correnti
delete from ElencoCartellini
go

-- rimetto trigger
-- =============================================
-- Author:		Samuele E. Locatelli
-- Create date: 2009-09-20
-- Description:	trigger x inserimento movimenti
--				nella coda di trasferimento batch
--				verso AS400 x DELETE UDC
-- =============================================
ALTER TRIGGER dbo.trg_DelMovAS 
   ON dbo.ElencoCartellini
   AFTER DELETE
AS 
BEGIN

	-- setup variabili e verbosità
	SET NOCOUNT ON;
	-- inserisco movimenti AS
	INSERT INTO AS400_BatchMovimenti(DataIns, CodEvento, Particolare, CodMagAS, Quantita)
	(
		SELECT	GETDATE(), 'UDC_DEL', Particolare, CAST(IdxPosizione AS NVARCHAR(50)), -Qta
		FROM	deleted
		WHERE	CAST(IdxPosizione AS NVARCHAR(50)) IN (SELECT CodMagAS FROM AS400_MagCont WHERE Attivo = 1) AND ((CASE WHEN ISNULL(Particolare,'n.d.') = 'n.d.' THEN 0 ELSE 1 END) = 1)
	)

END
go


-- elimino storico cartellini
DELETE FROM StoricoCartellini
go

-- indico tutte celle vuote!
update Celle
set Piena = 0
GO

-- resetto contatori!
delete from ContatoriListePrelievo
go

delete from ContatoriUdc
go


-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(258, GETDATE())
GO